<script setup>

const { login, logout } = useStrapiAuth()

const user = useStrapiUser()

const router = useRouter()
const formData = ref({})
const submitted = ref(false)

const onSubmit = async () => {
    try {
        console.log("Try to submit");
        await login({ identifier: formData.value.username, password: formData.value.password })

        router.push('/about')
    } catch (e) { }
}

</script>

<template>
    <div>
        <FormKit
            type="form"
            v-model="formData"
            :value="{
                username: 'New York City',
                password: '2 weeks'
            }"
            submit-label="Login"
            @submit="onSubmit"
        >
            <h1 class="text-3xl">Login</h1>
            <p>
                You can put any type of element inside a form, not just FormKit inputs
                (although only FormKit inputs are included with the submission).
            </p>
            <hr />
            <FormKit
                type="text"
                name="username"
                label="Your username"
                placeholder="jane@example.com"
                help="What email should we use?"
                validation="required"
            />

            <FormKit
                type="password"
                name="password"
                label="Password"
                placeholder="Your password"
                help="Enter your password"
            />
        </FormKit>

        <pre wrap>{{ user }}</pre>
        <button @click="logout">Logout</button>
        <pre wrap>{{ formData }}</pre>
    </div>
</template>

<style>
input {
    @apply dark:bg-slate-900/50;
}
</style>